# NE AUDIVERIS MUTARE ACTA MEA!

from math import pow
import Bladex
import math
import EnemyTypes
import Sparks
import Auras
import Actions
import pocimac
import darfuncs
import Torchs
import Breakings
import ItemTypes
import LevelFuncs
import Ontake
import Damage
import B3DLib
import AuxFuncs
import Reference
import DMusic
import MusicTool
import ReadGSFile
import Locks
import GenFX
import CharStats
import AbreCam
import GotoMapVars
import Scorer
import NetSounds
import string
import ObjStore
import GameText
import ExtraData

GameText.MapList ['THEODENSTOMB'] = 'TheodensTomb'

darfuncs.ActualLevel = "TheodensTomb"



Reference.DefaultSelectionData['Pergamino']=(8.0,4000.0,"Parchment")



def narsil_def():

	OBJ_WEAPON=2
	THR_STRAIGHT=1
	W_FLAG_2W=1
	THR_SPINNING=0
	PI = math.pi	
	GolpeArmaEscudoMetal=Bladex.CreateSound('..\\..\\sounds\\golpe-arma-escudo.wav', 'GolpeArmaEscudoMetal')
	GolpeArmaEscudoMetal.SendNotify=1
	Reference.DefaultObjectData['Chaosword']=[OBJ_WEAPON, 790, -50, 2.0,  THR_STRAIGHT, [W_FLAG_2W,PI,2000,750,50000,100,GolpeArmaEscudoMetal]]

narsil_def()


def write_text_start(): 
 
	text_start = ("Nai  tiruvantel  ar  varyuvantel  i  Valar  tielyanna  nu  vilja")
	GameText.WriteTextAux(text_start,10,255,0,0,[])


def write_text_parchment(): 

	text_parchment = ("The  rune  can  be  passed  now")
	GameText.WriteTextAux(text_parchment,10,255,0,0,[])


def write_text_CaveTroll(): 

	text_CaveTroll = (" '' They  have  a  cave-troll. '' ")
	GameText.WriteTextAux(text_CaveTroll,10,255,0,0,[])


def write_text_balrog():	

	text_balrog = (" '' The Dwarves delved too greedily and too deep.\n You know what they awoke in the darkness ...\n Shadow and flame '' ")
	GameText.WriteTextAux(text_balrog,10,255,0,0,[])
	

def write_text_end(): 

	text_end = ("Your  adventure  ends  here . \n \n ( turn  the  great  music  loud )")
	GameText.WriteTextAux(text_end,20,255,0,0,[])


def sablazo_def():

	Reference.DefaultObjectData['Sablazo'][1] = 20


def waffengitterweg():

	Bladex.GetEntity("waffengitter").RemoveFromWorld()
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("waffenkammer") )		
	
	o=Bladex.GetEntity("perg")
	o.Static=1
	
	o=Bladex.GetEntity("waffenrune")
	o.SelfIlum=0.5
	o.Alpha=0.5
	
	write_text_parchment()


def gitterNr1_weg(): 
	
	Bladex.GetEntity("gNr1").RemoveFromWorld()
	Bladex.GetEntity("schloss1").RemoveFromWorld()
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("evil_laugh") )
	darfuncs.UnhideBadGuy("feind1004")
 	darfuncs.UnhideBadGuy("feind1005")
	
	time=Bladex.GetTime()
	TimeEffect=100000
	AuraParams=(10, 1, 1, 0, 0, 1)
	AuraGradient=(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.2, 1.0)
	aura=Auras.MakeAura("feind1004", TimeEffect, AuraParams, (), (), AuraGradient)

	time=Bladex.GetTime()
	TimeEffect=100000
	AuraParams=(10, 1, 1, 0, 0, 1)
	AuraGradient=(2, 0.9, 1.0, 1.0, 0.4, 0.1, 0.2, 0.8, 1.0, 0.2, 1.0)
	aura=Auras.MakeAura("feind1005", TimeEffect, AuraParams, (), (), AuraGradient)	


def tunnel_auf():

	Bladex.GetEntity("tunnelg1").RemoveFromWorld() 
	Bladex.GetEntity("tunnelg2").RemoveFromWorld()
	Bladex.GetEntity("tunnelschloss1").RemoveFromWorld()
	Bladex.GetEntity("tunnelschloss2").RemoveFromWorld()

	o=Bladex.GetEntity("Ork_1")
	o.Deaf=0

	o=Bladex.GetEntity("Ork_4")
	o.Deaf=0

	o=Bladex.GetEntity("Little_Demon_7")
	o.Deaf=0

	o=Bladex.GetEntity("Vamp_8")
	o.Deaf=0


def krone_genommen():
        
	o=Bladex.GetEntity("tuer_kg")
	o.Position=(34400,5600,0)

	# darfuncs.SetHint(kg_lock.obj,"King's lair exit lock")
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("kghalle_kampf") )
	darfuncs.UnhideBadGuy("feind3004")


def eingang_kg_frei():
	
	Bladex.KillMusic()
	Bladex.GetEntity("tuer_kg").RemoveFromWorld()
	
	
def crownguard_dead(entity_name):

	Bladex.KillMusic()
	
	k=Bladex.GetEntity("kg_key")
	s=Bladex.GetEntity("kgkey_spot")
	f=Bladex.GetEntity("feind3004")
	
	k.Position=f.Position
	s.Position=f.Position
	
	o=Bladex.GetEntity("feind3004")
	o.Data.Disappear(entity_name)	
	
	
def kg_key_genommen():

	Bladex.GetEntity("kgkey_spot").RemoveFromWorld()
	Bladex.GetEntity("feind6008").RemoveFromWorld()


def geh_gitterweg():
	
	Bladex.GetEntity("geh_g").RemoveFromWorld()
	darfuncs.UnhideBadGuy("feind4009") # knight hinter ecke


def geh_guard_dead(entity_name):

	Bladex.KillMusic()	
	
	k=Bladex.GetEntity("geh_key")
	s=Bladex.GetEntity("geh_key_spot")
	f=Bladex.GetEntity("feind4004")
	
	enemigo4004.Data.Disappear(entity_name)


#hahaha!
def nocheat_def():
	text_nocheat = ("You  want  to  be  a  warrior  ?  \n \n"
			"( 11th  Commandment :  Thou  shalt  not  cheat ) \n \n")
	GameText.WriteTextAux(text_nocheat,10,255,0,0,[])
def switchoffcheats():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "P", 1)	
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F8", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)
def switchoffreference():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "K", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)	
switchoffcheats()
if Reference.PYTHON_DEBUG >= 1:
	switchoffreference()


def geh_key_genommen():

	Bladex.GetEntity("geh_key_spot").RemoveFromWorld()


def erwachen_feind4005():

	Bladex.GetEntity("feind4005statue").RemoveFromWorld() 
	Bladex.GetEntity("swordfire").RemoveFromWorld()       
        darfuncs.UnhideBadGuy("feind4005")


def schwert_genommen():
	
	# darfuncs.SetHint(swordlock.obj,"Golem lock")
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("golem_erwacht") )

	Bladex.GetEntity("feind4006statue").RemoveFromWorld()              
        darfuncs.UnhideBadGuy("feind4006")
	
	darfuncs.UnhideBadGuy("feind4010")
	darfuncs.UnhideBadGuy("feind4011")
	darfuncs.UnhideBadGuy("feind4012")

	o=Bladex.GetEntity("g1")
	o.Position=(0,-13050,31200)
	o=Bladex.GetEntity("g2")
	o.Position=(8000,-13050,20500)
	o=Bladex.GetEntity("g3")
	o.Position=(0,-13050,20500)
	o=Bladex.GetEntity("g4")
	o.Position=(-8000,-13050,20500)	
     
	o=Bladex.GetEntity("schwerttrank")
	o.Position=(6000,-12100,30500)
	
	o=Bladex.GetEntity("meska_key")
	o.Position=(0,34000,59000)
	
	o=Bladex.GetEntity("balrogkeyfire")
	o.Position=(0,33900,59000)

	# darfuncs.SetHint(m_schloss.obj,"Balrog chamber lock ")
         

def golem_key_func():
	
	Bladex.KillMusic()
	Bladex.GetEntity("g1").RemoveFromWorld()
	Bladex.GetEntity("g2").RemoveFromWorld()
	Bladex.GetEntity("g3").RemoveFromWorld()
	Bladex.GetEntity("g4").RemoveFromWorld()


def narsil_genommen():
	
	o=Bladex.GetEntity("tuer_kgin")
	o.Position=(-34400,5600,0)

	# darfuncs.SetHint(kgin_lock.obj,"Queen's lair exit lock")
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("kginhalle_kampf") )
		
        darfuncs.UnhideBadGuy("feind6007")
	darfuncs.UnhideBadGuy("feind6008")


def eingang_kgin_frei():
	
	Bladex.KillMusic()
	Bladex.GetEntity("tuer_kgin").RemoveFromWorld()
	Bladex.GetEntity("kginkey_spot").RemoveFromWorld()


def queenguard_dead(entity_name):

	Bladex.KillMusic()
	
	k=Bladex.GetEntity("kgin_key")
	s=Bladex.GetEntity("kginkey_spot")
	f=Bladex.GetEntity("feind6008")
	
	k.Position=f.Position
	s.Position=f.Position


def kgin_key_genommen():

	Bladex.GetEntity("kginkey_spot").RemoveFromWorld()
	Bladex.GetEntity("feind6008").RemoveFromWorld()


def balrog_key_genommen():
	
	o=Bladex.GetEntity("balrogkeyfire")
	o.Position=(0,50000,57000)	 
	

def balrog_door_open():

	write_text_balrog()
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("balrog_offen") )
	Bladex.GetEntity("meska_schloss").RemoveFromWorld()
	gitter_meska.Position=(0,30600,54750)
	Bladex.GetEntity("meska_ausgang_schloss_1").Position=(0,33500,55000)
	darfuncs.UnhideBadGuy("balrog1")
	darfuncs.UnhideBadGuy("balrog2")
	

def balrog_dead():

	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("didgeredoo") )
	Bladex.GetEntity("g_meska").RemoveFromWorld()
	Bladex.GetEntity("g_meska2").RemoveFromWorld()
	Bladex.GetEntity("meska_ausgang_schloss_1").RemoveFromWorld()
	Bladex.GetEntity("meska_ausgang_schloss_2").RemoveFromWorld()


def EndSequence():

	Scorer.SetVisible(0)
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent("cam_ende") )	
	
	AuxFuncs.FadeFrom(3, 1)

	Bladex.GetEntity("PocimaTodo_60").RemoveFromWorld()
	Bladex.GetEntity("Chaosword_61").RemoveFromWorld()
	Bladex.GetEntity("Llavedor_63").RemoveFromWorld()
	Bladex.GetEntity("Cofre_62").Position=6198.86157113,7343.13234331,234549.009333
	Bladex.GetEntity("Cofre_62").Orientation=(0.500000238419,0.499999701977,-0.500000059605,0.5)
	Bladex.GetEntity("AdoquinRuna3_64").Position=-6947.75609375,6835.40660511,233552.014001
	Bladex.GetEntity("LapidaCaballero_29").Position=0.0,3800.0,229649.79779

	espada=Bladex.CreateEntity("EspadaBar","Espada_Bar_seleccion",-531,7486,241200) 
	espada.RotateRel(0,0,0,1,0,0,1.57)
	espada.Static = 1
	
	o=Bladex.CreateEntity("Barbaro","Barbarian_N",0,6900,241155)
	o.RotateRel(0,0,0,1,0,0,1.57)
    	o.Static = 1

	bar = Bladex.GetEntity("Barbaro")
	bar.Position = 0,6900,241155  
    	bar.Actor = 1
    	bar.Animation = "Bar_seleccion"
	bar.TurnOn()
	
    	espada.Actor = 1
	espada.Animation = "Espada_bar_seleccion"
	espada.TurnOn()

	darfuncs.StartMatrixFX(ESource = "cameraspot") 
	write_text_end()
	
	o=Bladex.GetEntity("Player1")
	o.Position=(-21000,98000,109000)
	o.RemoveFromWorld()


# OnTake Events

Ontake.AddOnTakeEvent("narsil", narsil_genommen)
Ontake.AddOnTakeEvent("perg", waffengitterweg)
Ontake.AddOnTakeEvent("kingscrown", krone_genommen)
Ontake.AddOnTakeEvent("kg_key", kg_key_genommen)
Ontake.AddOnTakeEvent("kgin_key", kgin_key_genommen)
Ontake.AddOnTakeEvent("geh_key", geh_key_genommen)
Ontake.AddOnTakeEvent("meska_key", balrog_key_genommen)


# OnEnter Events

darfuncs.EnterSecEvent( 0,6500,235000, EndSequence)
darfuncs.EnterSecEvent( 0,-1500,0, write_text_CaveTroll)
