""" 
PROTOTYP 

arma=Bladex.CreateEntity("waffe", "Gladius", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild", "Escudo1", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			        

enemigo=Bladex.CreateEntity("feind", "Knight_Traitor", 0,0,0, "Person")
enemigo.Angle=0
enemigo.Level=20

potion=Bladex.CreateEntity("trank","Pocima100",0,0,0)   
pocimac.CreatePotion("trank")

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   
Actions.TakeObject(enemigo.Name, "trank")    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()

darfuncs.HideBadGuy(enemigo.Name)
enemigo.Deaf=0
enemigo.Blind=0

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

PROTOTYP ENDE 
"""


#######################################################################################
################################## 100x 1-4 WCHTERRAUM #######################################

o=Bladex.CreateEntity("entrance_hall_key","Llavepla",0,0,0,"Physic")
o.Scale=1
darfuncs.SetHint(o,"entrance hall key")

o=Bladex.CreateEntity("feind1001","Ork",-18143.9086659,-3000,-56883.6333072, "Person")
o.Scale=1.0
o.Angle=2.11
o.Level=13
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("waffe1001", "Alabarda", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1001", "waffe1001")
Actions.TakeObject("feind1001", "entrance_hall_key")


o=Bladex.CreateEntity("feind1002","Ork",-17928.1880711,-3000,-62149.8290025, "Person")
o.Scale=1.0
o.Angle=1
o.Level=13
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("waffe1002", "DoubleSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1002", "waffe1002")
o=Bladex.CreateEntity ("schild1002", "Escudo1", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1002")
Actions.TakeObject("feind1002", "schild1002")
o=Bladex.CreateEntity ("trank1002", "Pocima50", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("trank1002")
Actions.TakeObject("feind1002", "trank1002")


enemigo=Bladex.CreateEntity("feind1003","Ork",-24899.4007794,-3000,-60435.0028642, "Person")
enemigo.Scale=1.0
enemigo.Angle=4.5
enemigo.Level=13
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
o=Bladex.CreateEntity ("waffe1003", "DoubleSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1003", "waffe1003")
o=Bladex.CreateEntity ("schild1003", "Escudo1", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1003")
Actions.TakeObject("feind1003", "schild1003")

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10


# 1004 # hinten

arma=Bladex.CreateEntity("waffe1004", "Orksword", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)
arma.Alpha=0.5
arma.Scale=1
ItemTypes.ItemDefaultFuncs(arma)			            

escudo=Bladex.CreateEntity("schild1004", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)
escudo.Alpha=0.5
Sparks.MakeShield("schild1004")
			          
potion=Bladex.CreateEntity("trank1004","Pocima50",0,0,0)   		       		
pocimac.CreatePotion("trank1004")

enemigo=Bladex.CreateEntity("feind1004", "Ork",0,-4500,-80000 , "Person")
enemigo.Angle=0
enemigo.Level=14
enemigo.Alpha=0

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)  
Actions.TakeObject(enemigo.Name, "trank1004")

EnemyTypes.EnemyDefaultFuncs(enemigo)
darfuncs.HideBadGuy(enemigo.Name)
enemigo.SetOnFloor()

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen1004","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher1004","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10


# 1005 # an Tor  

arma=Bladex.CreateEntity("waffe1005", "Orksword", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)
arma.Alpha=0.5			            

escudo=Bladex.CreateEntity("schild1005", "Escudo6", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			          
escudo.Alpha=0.5
Sparks.MakeShield("schild1005")

enemigo=Bladex.CreateEntity("feind1005", "Great_Ork",0,-1500,-46500 , "Person")
enemigo.Angle=3.10
enemigo.Level=16
enemigo.Alpha=0

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)  
    
EnemyTypes.EnemyDefaultFuncs(enemigo)
darfuncs.HideBadGuy(enemigo.Name)
enemigo.SetOnFloor()


########################################################################
############################# RUNDGANG #################################

o=Bladex.CreateEntity("Ork_1","Ork",-24035.3543136,-1184.91185901,26956.5256795, "Person")
o.Angle=1.89348671672
o.Level=19
EnemyTypes.EnemyDefaultFuncs(o)
o.Deaf=1
o.SetOnFloor()
o=Bladex.CreateEntity ("Orksword_2", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
o.Scale=1.2
Actions.TakeObject("Ork_1", "Orksword_2")
o=Bladex.CreateEntity ("Escudo7_3", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo7_3")
Actions.TakeObject("Ork_1", "Escudo7_3")


o=Bladex.CreateEntity("Ork_4","Ork",23135.6533464,-1184.91153665,26985.3324407, "Person")
o.Angle=4.90041629087
o.Level=19
EnemyTypes.EnemyDefaultFuncs(o)
o.Deaf=1
o.SetOnFloor()
o=Bladex.CreateEntity ("EgyptSword_6", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_4", "EgyptSword_6")
o.Scale=1.2
o=Bladex.CreateEntity ("Escudo7_5", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo7_5")
Actions.TakeObject("Ork_4", "Escudo7_5")


o=Bladex.CreateEntity("Little_Demon_7","Little_Demon",22736.1781583,-1331.61677174,28739.5847425, "Person")
o.Angle=4.79329335302
o.Level=15
EnemyTypes.EnemyDefaultFuncs(o)
o.Deaf=1
o.SetOnFloor()


o=Bladex.CreateEntity("Vamp_8","Vamp",-24035.3543136,-1584.91185901,28556.5256795, "Person")
o.Angle=1.76348693678
o.Level=1
EnemyTypes.EnemyDefaultFuncs(o)
o.Deaf=1
o.SetOnFloor()
o=Bladex.CreateEntity ("VampWeapon_9", "VampWeapon", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Vamp_8", "VampWeapon_9")
o=Bladex.CreateEntity ("VampShield_10", "VampShield", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("VampShield_10")
Actions.TakeObject("Vamp_8", "VampShield_10")



####################################################################################
################################ 200x MITTELRAUM ########################################

# 2005 # FETTES VIEH AUF MITTELRUNE MIT TOMB-KEY

o=Bladex.CreateEntity("tomb_key","Llavepla",0,0,0,"Physic")
darfuncs.SetHint(o,"tomb key")


arma=Bladex.CreateEntity("waffe2005", "Mazapiedra", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)
arma.Scale=0.9			       
			          
enemigo=Bladex.CreateEntity("feind2005", "Troll_snow",0,-5000,0, "Person")
enemigo.Angle=0
enemigo.Level=16
enemigo.Deaf=1

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, "tomb_key")

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()


# 2006 # VIEHWCHTER SO

arma=Bladex.CreateEntity("waffe2006", "Alabarda", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			       

# escudo=Bladex.CreateEntity("schild2006", "Escudo7", 0,0,0, "Weapon") 
# ItemTypes.ItemDefaultFuncs(escudo)			          

enemigo=Bladex.CreateEntity("feind2006", "Great_Ork",5000,-5000,-5000, "Person")
enemigo.Angle=0  # 0.74
enemigo.Level=16

Actions.TakeObject(enemigo.Name, arma.Name)    
# Actions.TakeObject(enemigo.Name, escudo.Name)  

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


# 2007 # VIEHWCHTER SW

arma=Bladex.CreateEntity("waffe2007", "Alabarda", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			       

# escudo=Bladex.CreateEntity("schild2007", "Escudo7", 0,0,0, "Weapon") 
# ItemTypes.ItemDefaultFuncs(escudo)			          

enemigo=Bladex.CreateEntity("feind2007", "Great_Ork",-5000,-5000,-5000, "Person")
enemigo.Angle=0 # 5.45 
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
# Actions.TakeObject(enemigo.Name, escudo.Name)  

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


# 2008 # VIEHWCHTER NW

arma=Bladex.CreateEntity("waffe2008", "Alabarda", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(arma)			      

# escudo=Bladex.CreateEntity("schild2008", "Escudo7", 0,0,0, "Weapon") 
# ItemTypes.ItemDefaultFuncs(escudo)			          

enemigo=Bladex.CreateEntity("feind2008", "Great_Ork",-5000,-5000,5000, "Person")
enemigo.Angle=0   # 3.88
enemigo.Level=15

Actions.TakeObject(enemigo.Name, arma.Name)   
# Actions.TakeObject(enemigo.Name, escudo.Name)  

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=0


# 2009 # VIEHWCHTER N0

arma=Bladex.CreateEntity("waffe2009", "Alabarda", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			     

# escudo=Bladex.CreateEntity("schild2009", "Escudo7", 0,0,0, "Weapon") 
# ItemTypes.ItemDefaultFuncs(escudo)			        

enemigo=Bladex.CreateEntity("feind2009", "Great_Ork",5000,-5000,5000, "Person")
enemigo.Angle=0  #2.30
enemigo.Level=15

Actions.TakeObject(enemigo.Name, arma.Name)    
# Actions.TakeObject(enemigo.Name, escudo.Name)  

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=0


##################################################################################
################################## 300x KNIGSHALLE ###################################

# 3001 # FEUERDMON

enemigo=Bladex.CreateEntity("feind3001", "Little_Demon", 73000,5000,0, "Person")
enemigo.Angle=1.52 #3.18
enemigo.Level=20

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


# 3002 # ORK IN S-ECKE

arma=Bladex.CreateEntity("waffe3002", "Espada", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild3002", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind3002", "Ork", 36000,6000,-19000, "Person")
enemigo.Angle=4.67 #5.45
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)   
Actions.TakeObject(enemigo.Name, escudo.Name)  

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen3002","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher3002","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)  
inv.AddBow(arco.Name)       
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1


# 3003 # ORK IN N-ECKE

arma=Bladex.CreateEntity("waffe3003", "Espada", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild3003", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind3003", "Ork", 36000,6000,19000, "Person")
enemigo.Angle=4.67 #3.88
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen3003","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher3003","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1



# 3004 # WCHTER FR KRONE 

# this key disappears with chaos's death
key=Bladex.CreateEntity("crownguardkey","Llavedor",0,0,0,"Physic") 
#darfuncs.SetHint(key,"King's lair exit key")

# take this after chaos's death -> in DefFuncs
kgkey=Bladex.CreateEntity("kg_key","Llavedor", 54000,10000,0,"Physic")
kgkey.Scale=1.5
kgkey.SelfIlum=0.5
darfuncs.SetHint(kgkey,"King's lair exit key")

kgkeyspot=Bladex.CreateEntity("kgkey_spot", "Entity Spot", 54000,10000,0)
kgkeyspot.Color=0,0,255
kgkeyspot.Intensity=10
kgkeyspot.Precission=0
kgkeyspot.Visible=1
kgkeyspot.CastShadows=0
	
arma=Bladex.CreateEntity("waffe3004", "EspadaMagica1", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)
arma.Scale=1.3
arma.Alpha=0.5			           

escudo=Bladex.CreateEntity("schild3004", "Escudon", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)
escudo.Alpha=0.5
			             
enemigo3004=Bladex.CreateEntity("feind3004", "ChaosKnight",58000,6000,0, "Person")
enemigo3004.Angle=1.52
enemigo3004.Level=20
enemigo3004.Alpha=0.5
enemigo3004.SelfIlum=0.5
enemigo3004.SetOnFloor()

Actions.TakeObject(enemigo3004.Name, arma.Name)   
Actions.TakeObject(enemigo3004.Name, escudo.Name)
Actions.TakeObject(enemigo3004.Name, "crownguardkey")
    
EnemyTypes.EnemyDefaultFuncs(enemigo3004)
darfuncs.HideBadGuy(enemigo3004.Name)
 
enemigo3004.Data.PrepareWeapons()
enemigo3004.Data.PrepareDisappearance()
enemigo3004.ImDeadFunc=crownguard_dead


# ORKS UM MINOTAURUS #

# 3005 #

arma=Bladex.CreateEntity("waffe3005", "Espadafilo", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild3005", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind3005", "Ork", 52000,5000,-8000, "Person")
enemigo.Angle=4.67
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=0


# 3006 (3006+3008 in tunnel verlagert)

o=Bladex.CreateEntity("feind3006","Ork",3391.23033266,6367.06152438,-28882.4279739, "Person")
o.Scale=1.0
o.Angle=4.66999485284
o.Level=20
o.Life=2800.0
EnemyTypes.EnemyDefaultFuncs(o)
o.SetOnFloor()
o.Deaf=1
o=Bladex.CreateEntity ("waffe3006", "Espadafilo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind3006", "waffe3006")
o=Bladex.CreateEntity ("schild3006", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild3006")
Actions.TakeObject("feind3006", "schild3006")

# 3007

arma=Bladex.CreateEntity("waffe3007", "Espadafilo", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild3007", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind3007", "Ork", 44000,5000,0, "Person")
enemigo.Angle=4.67
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

potion=Bladex.CreateEntity("trank3007","Pocima200",0,0,0)   				                
pocimac.CreatePotion("trank3007") 	

Actions.TakeObject(enemigo.Name, "trank3007")


EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()


# 3008 (3006+3008 in tunnel verlagert)

o=Bladex.CreateEntity("feind3008","Ork",-3764.63970807,6309.11000944,-29159.9651237, "Person")
o.Scale=1.0
o.Angle=1.79020593723
o.Level=20
o.Life=2800.0
EnemyTypes.EnemyDefaultFuncs(o)
o.Deaf=1
o.SetOnFloor()
o=Bladex.CreateEntity ("waffe3008", "Espadafilo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind3008", "waffe3008")
o=Bladex.CreateEntity ("schild3008", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild3008")
Actions.TakeObject("feind3008", "schild3008")


# 3009

arma=Bladex.CreateEntity("waffe3009", "Espadafilo", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild3009", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind3009", "Ork", 52000,5000,8000, "Person")
enemigo.Angle=4.67
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)  

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=0


# 3010
o=Bladex.CreateEntity("geh_key","Llavepla",0,0,0,"Physic")
darfuncs.SetHint(o,"secret key")

arma=Bladex.CreateEntity("waffe3010", "Sablazo", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)	
arma.Scale=1.7		       
Reference.DefaultObjectData['Sablazo'][1] = 400

Ontake.AddOnTakeEvent("waffe3010", sablazo_def)

enemigo=Bladex.CreateEntity("feind3010", "Minotaur", 48000,5000,0, "Person")
enemigo.Angle=4.67
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)
Actions.TakeObject(enemigo.Name, "geh_key")    
 
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


###################################################################################
################################ 400x GEH ########################################


# 4002 # WCHTER 1 TREPPE OBEN

arma=Bladex.CreateEntity("waffe4002", "Espada", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			       
arma.Scale=1
arma.Alpha=0.5

escudo=Bladex.CreateEntity("schild4002", "Escudo6", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)
escudo.Alpha=0.5
			         
o=Bladex.CreateEntity("armband", "Brazalete",0,0,0, "Physic")
ItemTypes.ItemDefaultFuncs (o)

enemigo=Bladex.CreateEntity("feind4002", "Dark_Knight",-1000,-13000,51000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   
Actions.TakeObject(enemigo.Name, "armband") 

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4002","Arco", 0,0,0,"Weapon") 
arco.Alpha=0.5
carcaj=Bladex.CreateEntity("koecher4002","CarcajEnvenenado", 0,0,0)    
carcaj.Alpha=0.5
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)  
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()


# 4003 # WCHTER 2 TREPPE OBEN

arma=Bladex.CreateEntity("waffe4003", "Espada", 0,0,0, "Weapon")  
arma.Alpha=0.5
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild4003", "Escudo6", 0,0,0, "Weapon") 
escudo.Alpha=0.5
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind4003", "Knight_Traitor",-1000,-13000,49000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4003","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher4003","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()


# 4004 # CHAOSKNIGHT VOR TREPPE UNTEN   

# this key disappears with chaos's death
key=Bladex.CreateEntity("gehguardkey","Llavedor",0,0,0,"Physic") 

# take this after chaos's death -> in DefFuncs
gehkey=Bladex.CreateEntity("geh_key","Llavedor", 55000,10000,0,"Physic")
gehkey.Scale=1.5
gehkey.SelfIlum=0.5
darfuncs.SetHint(gehkey,"secret key")

gehkeyspot=Bladex.CreateEntity("geh_key_spot", "Entity Spot", 55000,10000,0)
gehkeyspot.Color=0,255,255
gehkeyspot.Intensity=10
gehkeyspot.Precission=0
gehkeyspot.Visible=1
gehkeyspot.CastShadows=0

arma4004=Bladex.CreateEntity("waffe4004", "EspadaMagica3", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma4004)			       
arma.Scale=1
arma.Alpha=0.5

escudo4004=Bladex.CreateEntity("schild4004", "Escudon", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo4004)			         
escudo4004.Alpha=0.5

enemigo4004=Bladex.CreateEntity("feind4004", "ChaosKnight",-12000,8500,46000, "Person")
enemigo4004.Angle=4.67
enemigo4004.Level=20
enemigo4004.Deaf=1
enemigo4004.Alpha=0.5
enemigo4004.SelfIlum=0.1

Actions.TakeObject(enemigo4004.Name, arma4004.Name)    
Actions.TakeObject(enemigo4004.Name, escudo4004.Name)   
Actions.TakeObject(enemigo4004.Name, "gehguardkey")

EnemyTypes.EnemyDefaultFuncs(enemigo4004)
 
enemigo4004.Data.PrepareWeapons()
enemigo4004.Data.PrepareDisappearance()
enemigo4004.ImDeadFunc=geh_guard_dead




# 4005 # SCHWERTWCHTER 1 STATUE (nicht am schwert)
	
enemigo=Bladex.CreateEntity("feind4005statue", "Golem_metal",-3000,-12500,30000, "Physic")
enemigo.Orientation=0.707107,0.707107,0,0
enemigo.Static=1
enemigo.Solid=1

enemigo=Bladex.CreateEntity("feind4005", "Golem_metal",-3000,-15000,30000, "Person")
enemigo.Angle=3.10
enemigo.Level=0
enemigo.Alpha=0.5

EnemyTypes.EnemyDefaultFuncs(enemigo)
darfuncs.HideBadGuy(enemigo.Name)
enemigo.SetOnFloor()

Ontake.AddOnTakeEvent("schwerttrank", erwachen_feind4005)


# 4006 # SCHWERTWCHTER GOLEM 2 STATUE (am schwert)

enemigo=Bladex.CreateEntity("feind4006statue", "Golem_metal",3000,-12500,30000, "Physic")
enemigo.Orientation=0.707107,0.707107,0,0
enemigo.Static=1
enemigo.Solid=1


# 4006 # SCHWERTWCHTER 2 lebend

o=Bladex.CreateEntity("sword_trap_key","Llavepla",3000,-12500,30000,"Physic")
darfuncs.SetHint(o,"Golem key")

enemigo=Bladex.CreateEntity("feind4006", "Golem_metal",3000,-15000,30000, "Person")
enemigo.Angle=3.10
enemigo.Level=20
enemigo.Alpha=0.5

Actions.TakeObject(enemigo.Name, "sword_trap_key")

EnemyTypes.EnemyDefaultFuncs(enemigo)
darfuncs.HideBadGuy(enemigo.Name)
enemigo.SetOnFloor()

Ontake.AddOnTakeEvent("mightysword", schwert_genommen)


# 4007 #

enemigo=Bladex.CreateEntity("feind4007", "Cos",-1500,8500,26500, "Person")
enemigo.Angle=0
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Life=500
enemigo.Deaf=1
enemigo.SetOnFloor()

# 4008 #

enemigo=Bladex.CreateEntity("feind4008", "Cos",1500,8500,26500, "Person")
enemigo.Angle=0
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Life=500
enemigo.Deaf=1
enemigo.SetOnFloor()


# 4009 # erscheint nach geh_schloss ffnung

arma=Bladex.CreateEntity("waffe4009", "Espada", 0,0,0, "Weapon")  
arma.Alpha=0.5
arma.Scale=1.2			       
ItemTypes.ItemDefaultFuncs(arma)

escudo=Bladex.CreateEntity("schild4009", "Escudo6", 0,0,0, "Weapon") 
escudo.Alpha=0.5			         
ItemTypes.ItemDefaultFuncs(escudo)

enemigo=Bladex.CreateEntity("feind4009", "Knight_Traitor",0,11000,35000, "Person") 
enemigo.Angle=6.24
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4009","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher4009","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj) 
arco.Alpha=0.5
carcaj.Alpha=0.5  
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)

EnemyTypes.EnemyDefaultFuncs(enemigo) 
enemigo.SetOnFloor()
darfuncs.HideBadGuy(enemigo.Name)


# 4010 # schtze1 auf geh_rundgang

arma=Bladex.CreateEntity("waffe4010", "Espada", 0,0,0, "Weapon")  
arma.Alpha=0.5
arma.Scale=1.2			       
ItemTypes.ItemDefaultFuncs(arma)

escudo=Bladex.CreateEntity("schild4010", "Escudo6", 0,0,0, "Weapon") 
escudo.Alpha=0.5			         
ItemTypes.ItemDefaultFuncs(escudo)

enemigo=Bladex.CreateEntity("feind4010", "Knight_Traitor", 21500,-18000,0, "Person")
enemigo.Angle=0
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4010","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher4010","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    
carcaj.Alpha=0.5
arco.Alpha=0.5

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
darfuncs.HideBadGuy(enemigo.Name)


# 4011 # schtze2 auf geh_rundgang

arma=Bladex.CreateEntity("waffe4011", "Espada", 0,0,0, "Weapon")  
arma.Alpha=0.5
arma.Scale=1.2			       
ItemTypes.ItemDefaultFuncs(arma)

escudo=Bladex.CreateEntity("schild4011", "Escudo6", 0,0,0, "Weapon") 
escudo.Alpha=0.5			         
ItemTypes.ItemDefaultFuncs(escudo)

enemigo=Bladex.CreateEntity("feind4011", "Knight_Traitor", -21500,-18000,0, "Person")
enemigo.Angle=0
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4011","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher4011","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    
carcaj.Alpha=0.5
arco.Alpha=0.5

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
darfuncs.HideBadGuy(enemigo.Name)


# 4012 # schtze3 auf geh_rundgang

arma=Bladex.CreateEntity("waffe4012", "Espada", 0,0,0, "Weapon")  
arma.Alpha=0.5
arma.Scale=1.2			       
ItemTypes.ItemDefaultFuncs(arma)

escudo=Bladex.CreateEntity("schild4012", "Escudo6", 0,0,0, "Weapon") 
escudo.Alpha=0.5			         
ItemTypes.ItemDefaultFuncs(escudo)

enemigo=Bladex.CreateEntity("feind4012", "Dark_Knight", 0,-18000,-21500, "Person")
enemigo.Angle=0
enemigo.Level=20
enemigo.Deaf=1
enemigo.Alpha=0.5
enemigo.SelfIlum=0.1

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen4012","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher4012","CarcajEnvenenado", 0,0,0)   
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    
carcaj.Alpha=0.5
arco.Alpha=0.5

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
darfuncs.HideBadGuy(enemigo.Name)


###########################################################################################
################################### 500x TUNNEL ###########################################

o=Bladex.CreateEntity("Salamander_176","Salamander",-17,5690,3000, "Person")
o.Angle=0
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o.Life=3000.0
o.Deaf=1
o.SetOnFloor()


# 5001 # 

enemigo=Bladex.CreateEntity("feind5001", "Cos", 6000,6000,29000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5002 # 
enemigo=Bladex.CreateEntity("feind5002", "Cos", 5000,6000,29000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5003 # 
enemigo=Bladex.CreateEntity("feind5003", "Cos", 4000,6000,29000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Life=500
enemigo.Deaf=1
enemigo.SetOnFloor()

# 5004 # 
enemigo=Bladex.CreateEntity("feind5004", "Cos", 3000,6000,29000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5005 # 
enemigo=Bladex.CreateEntity("feind5005", "Cos", 2000,6000,29000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5006 # 
enemigo=Bladex.CreateEntity("feind5006", "Cos", -2000,5000,29000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5007 # 
enemigo=Bladex.CreateEntity("feind5007", "Cos", -3000,5000,29000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5008 # 
enemigo=Bladex.CreateEntity("feind5008", "Cos", -4000,5000,29000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
enemigo.Deaf=1
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()

#hahaha!
def nocheat_def():
	text_nocheat = ("You  want  to  be  a  warrior  ?  \n \n"
			"( 11th  Commandment :  Thou  shalt  not  cheat ) \n \n")
	GameText.WriteTextAux(text_nocheat,10,255,0,0,[])
def switchoffcheats():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "P", 1)	
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F8", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)
def switchoffreference():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "K", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)	
switchoffcheats()
if Reference.PYTHON_DEBUG >= 1:
	switchoffreference()

# 5009 # 
enemigo=Bladex.CreateEntity("feind5006", "Cos", -5000,5000,29000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()

# 5010 # 
enemigo=Bladex.CreateEntity("feind5010", "Cos", -6000,5000,29000, "Person")
enemigo.Angle=1.52
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Deaf=1
enemigo.Life=500
enemigo.SetOnFloor()



######################################################################################
################################### 600x KNIGINNENHALLE #############################


# 6001 #

arma=Bladex.CreateEntity("waffe6001", "Garrote2", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       
#arma.Scale=1.3

escudo=Bladex.CreateEntity("schild6001", "Escudo9", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       
#escudo.Scale=1.5

enemigo=Bladex.CreateEntity("feind6001", "Great_Ork", -57000,5000,-13000, "Person")
enemigo.Angle=5.45 #3.10
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


# 6002 #

arma=Bladex.CreateEntity("waffe6002", "Orksword", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       
arma.Scale=1.3

escudo=Bladex.CreateEntity("schild6002", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind6002", "Ork",-57000,5000,13000, "Person")
enemigo.Angle=3.88 
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen6002","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher6002","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

# 6003 #

#o=Bladex.CreateEntity("geh_key","Llavepla",0,0,0,"Physic")
#darfuncs.SetHint(o,"secret key")

#arma=Bladex.CreateEntity("waffe6003", "Orksword", 0,0,0, "Weapon")  
#ItemTypes.ItemDefaultFuncs(arma)			       

#escudo=Bladex.CreateEntity("schild6003", "Escudo7", 0,0,0, "Weapon") 
#ItemTypes.ItemDefaultFuncs(escudo)			       

#enemigo=Bladex.CreateEntity("feind6003", "Ork", -36000,5000,9000, "Person")
#enemigo.Angle=1.52
#enemigo.Level=20

#Actions.TakeObject(enemigo.Name, arma.Name)    
#Actions.TakeObject(enemigo.Name, escudo.Name)   
#Actions.TakeObject(enemigo.Name, "geh_key")

#EnemyTypes.EnemyDefaultFuncs(enemigo)
#enemigo.SetOnFloor()
#enemigo.Deaf=1



arma=Bladex.CreateEntity("waffe6003", "Orksword", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild6003", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       

enemigo=Bladex.CreateEntity("feind6003", "Ork", -36000,5000,9000, "Person")
enemigo.Angle=1.52
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

# 6004 #

arma=Bladex.CreateEntity("waffe6004", "Espada", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild6004", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       

enemigo=Bladex.CreateEntity("feind6004", "Ork", -36000,5000,15000, "Person")
enemigo.Angle=1.52
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

# 6004 #

arma=Bladex.CreateEntity("waffe6004", "Orksword", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild6004", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       

enemigo=Bladex.CreateEntity("feind6004", "Ork", -36000,5000,-9000, "Person")
enemigo.Angle=1.52
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

# 6005 #

arma=Bladex.CreateEntity("waffe6005", "Espada", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild6005", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       

enemigo=Bladex.CreateEntity("feind6005", "Ork", -36000,5000,-15000, "Person")
enemigo.Angle=1.52
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1


# 6006 #

arma=Bladex.CreateEntity("waffe6006", "VampWeapon", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild6006", "VampShield", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			       

enemigo=Bladex.CreateEntity("feind6006", "Vamp", -73000,5000,0, "Person")
enemigo.Angle=4.67
enemigo.Level=20

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)     

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

# 6007 # queenguard ohne schlssel

enemigo=Bladex.CreateEntity("feind6007", "Little_Demon", -59000,5000,-4000, "Person")
enemigo.Angle=4.67
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.Life=15000
enemigo.SetOnFloor()
darfuncs.HideBadGuy(enemigo.Name)


# 6008 # queenguard mit schlssel

# this key disappers with firedemon's death 
# (and unfortunately it makes him die unnormally)
key=Bladex.CreateEntity("queenguardkey","Llavedor",0,0,0,"Physic") 

# take this after firedemon's death -> in DefFuncs
kginkey=Bladex.CreateEntity("kgin_key","Llavedor", -54000,10000,0,"Physic")
kginkey.Scale=1.5
kginkey.SelfIlum=0.5
darfuncs.SetHint(kginkey,"Queen's lair exit key")

kginkeyspot=Bladex.CreateEntity("kginkey_spot", "Entity Spot", -54000,10000,0)
kginkeyspot.Color=255,0,0
kginkeyspot.Intensity=10
kginkeyspot.Precission=0
kginkeyspot.Visible=1
kginkeyspot.CastShadows=0
			          
enemigo6008=Bladex.CreateEntity("feind6008", "Little_Demon", -59000,5000,4000, "Person")
enemigo6008.Angle=1.52
enemigo6008.Level=20
enemigo6008.SetOnFloor()

Actions.TakeObject(enemigo6008.Name, "queenguardkey")

EnemyTypes.EnemyDefaultFuncs(enemigo6008)
enemigo6008.Life=30000
enemigo6008.SetOnFloor()

darfuncs.HideBadGuy(enemigo6008.Name)
enemigo6008.ImDeadFunc=queenguard_dead


#############################################################################
############################### 700x BALROG CHAMBER #########################

# 7001 #

potion=Bladex.CreateEntity("trank7001","PocimaTodo",0,0,0)   				                
potion.Scale=1.2
potion.SelfIlum=1
pocimac.CreatePotion("trank7001")

enemigo7001=Bladex.CreateEntity("balrog1", "Great_Demon", 10000,30000,107000, "Person")
enemigo7001.Angle=3.10
enemigo7001.SetOnFloor()

EnemyTypes.EnemyDefaultFuncs(enemigo7001)
enemigo7001.Life=15000
enemigo7001.SetOnFloor()

Actions.TakeObject(enemigo7001.Name, "trank7001")
darfuncs.HideBadGuy(enemigo7001.Name)


# 7002 # strkerer mit schlssel

balkey=Bladex.CreateEntity("final_key","Llave", 0,0,0, "Physic")
balkey.Scale=1.5
darfuncs.SetHint(balkey,"Balrog's exit key")

enemigo7002=Bladex.CreateEntity("balrog2", "Great_Demon",-10000,30000,107000, "Person")
enemigo7002.Angle=3.10
enemigo7002.SetOnFloor()

EnemyTypes.EnemyDefaultFuncs(enemigo7002)
enemigo7002.Level=10
enemigo7002.SetOnFloor()

Actions.TakeObject(enemigo7002.Name, "final_key")
darfuncs.HideBadGuy(enemigo7002.Name)
# enemigo7002.ImDeadFunc=balrog_music_end
