import Bladex
import math
import EnemyTypes
import Sparks
import Actions
import pocimac
import darfuncs
import Torchs
import Breakings
import ItemTypes
import LevelFuncs
import Damage
import B3DLib
import AuxFuncs
import Reference
import DMusic
import MusicTool
import ReadGSFile
import Locks
import GenFX
import CharStats
import AbreCam
import GotoMapVars
import Scorer
import NetSounds
import string
import GameText


####################################################################################
############################ BIBLIO ################################################

o=Bladex.CreateEntity("Lamparatecho1","Lamparatecho",-21000,-4500,-61000, Reference.ObjType("Lamparatecho"))
o.Scale=1
o.Static=1
o.Orientation=0.707107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (100,0,(198,104,0)) ]



####################################################################################
############################ WCHTERZIMMER #########################################


# WASSER 

o=Bladex.CreateEntity("rainwater","Entity Water",0,400,-75500)
o.Reflection=1
o.Color=5,5,10


# TORFLGEL

o=Bladex.CreateEntity("PuertaMiguelDerecha_83","PuertaMiguelDerecha",-2680.53322551,-5676.9755952,-79146.599109, Reference.ObjType("PuertaMiguelDerecha"))
o.Static=1
o.Scale=0.4
o.Orientation=(0.430459052324,0.430459231138,-0.560985505581,0.560985863209)

o=Bladex.CreateEntity("PuertaMiguelDerecha_85","PuertaMiguelDerecha",2411.43838775,-5676.19771321,-79078.8583902, Reference.ObjType("PuertaMiguelDerecha"))
o.Static=1
o.Scale=0.4
o.Orientation=(0.560985565186,0.560985386372,-0.430459409952,0.430459409952)


# KRONLEUCHTER 

o=Bladex.CreateEntity("primalux","Lamparatecho",0,-8500,-61000,Reference.ObjType("Lamparatecho"))
o.Scale=2
o.Solid=1
o.Static=1
o.Orientation=0.707107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (100,0.03125,(198,104,0)) ]


# WANDSCHILD

o=Bladex.CreateEntity("blason1_1","Blason1",0.0,-8000.0,-52460.0, Reference.ObjType("Blason1"))
o.Static=1
o.Scale=2.5
o.Orientation=(0.605354726315,0.795955836773,7.04398583906e-009,1.32475264092e-009)

####################################################################################
###################################### WAFFENKAMMER ################################


# FEUER IN WAFFENKAMMER

o=Bladex.CreateEntity("Antorchaenpared_142","Antorchaenpared",11124.9243569,-2375.45859583,-65799.3230077, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.612372398376,0.612372398376,-0.353553444147,0.353553444147)
o.FiresIntensity=[ 1 ]
o.Lights = [(300.0, 0.03125, (198,104,0)) ]



#################################################################################
############################### GEGABELTER EINGANG ##############################

o=Bladex.CreateEntity("1Braseroaraa1","Braseroaraa",10000,-300,-49000,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("2Braseroaraa2","Braseroaraa",-10000,-300,-49000,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]


###################################################################################
####################################### MITTELRAUM ################################

# WANDTEPPICH N MITTELRAUM
o=Bladex.CreateEntity("3nn2","Pendon1",0,-17000,19750,Reference.ObjType("Pendon1"))
o.Scale=3
o.Static=1
o.Orientation=0,0.707107,0,0

o=Bladex.CreateEntity("4nn3","Pendon2",8000,-17000,19900,Reference.ObjType("Pendon2"))
o.Scale=3.1
o.Static=1
o.Orientation=0,-0.707107,0,0

o=Bladex.CreateEntity("5nn4","Pendon2",-8000,-17000,19900,Reference.ObjType("Pendon2"))
o.Scale=3.1
o.Static=1
o.Orientation=0,-0.707107,0,0


# RUNEN UM MITTE

o=Bladex.CreateEntity("Rune5", "Tablilla6", 0, 90, 0, "Physic") 
o.Static=1
o.Scale=6
o.SelfIlum=0.3
o.Alpha=0.8
o.Orientation = (1,0,1,0)

o=Bladex.CreateEntity("Rune1", "Tablilla1", 5000, 90, 5000, "Physic") 
o.Static=1
o.Scale=6
o.SelfIlum=0.3
o.Alpha=0.8
o.Orientation = (1,0,1,0) 

o=Bladex.CreateEntity("Rune2", "Tablilla2", -5000, 90, -5000, "Physic") 
o.Static=1
o.Scale=6
o.SelfIlum=0.3
o.Alpha=0.8
o.Orientation = (1,0,1,0)

o=Bladex.CreateEntity("Rune3", "Tablilla3", -5000, 90, 5000, "Physic")
o.Static=1
o.Scale=6
o.SelfIlum=0.3
o.Alpha=0.8
o.Orientation = (1,0,1,0)

o=Bladex.CreateEntity("Rune4", "Tablilla4", 5000, 90, -5000, "Physic")
o.Static=1
o.Scale=6
o.SelfIlum=0.3
o.Alpha=0.8
o.Orientation = (1,0,1,0)


# KRONLEUCHTER

o=Bladex.CreateEntity("6Lamparatecho1","Lamparatecho",0,-38000,0,Reference.ObjType("Lamparatecho"))
o.Scale=2
o.Static=1
o.Orientation=0.707107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (500,0.03125,(198,104,0)) ]

# 4 FEUER BEI STATUEN IM HAUPTRAUM

o=Bladex.CreateEntity("7Braseroaraa4","Braseroaraa",12500,-300,12500,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]


o=Bladex.CreateEntity("8f2","Braseroaraa",-12500,-300,-12500,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]


o=Bladex.CreateEntity("9f3","Braseroaraa",12500,-300,-12500,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]


o=Bladex.CreateEntity("10f4","Braseroaraa",-12500,-300,12500,Reference.ObjType("Braseroaraa"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0,(198,104,0)) ]



# FEUER IN RUNDGANG UM MITTELRAUM

# OSTEN
o=Bladex.CreateEntity("11fr3","Lampcolg",29500,-9000,0,Reference.ObjType("Lampcolg"))
o.Scale=1
o.Solid=1
o.Orientation=1,1,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

# WESTEN
o=Bladex.CreateEntity("12fr3","Lampcolg",-29500,-9000,0,Reference.ObjType("Lampcolg"))
o.Scale=1
o.Solid=1
o.Orientation=1,1,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

#NORDWAND
o=Bladex.CreateEntity("13fr4","Antorchaenpared",22000,-500,26200,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("14fr5","Antorchaenpared",-22000,-500,26200,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

# SDWAND
o=Bladex.CreateEntity("15fr6","Antorchaenpared",22000,-500,-26200,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=-0.707107,-0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("16fr7","Antorchaenpared",-22000,-500,-26200,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=-0.707107,-0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]


# STATUEN 

o=Bladex.CreateEntity("17s1","Monjespada",-18000,-5750,-18000,"Physic")
o.Scale=7
o.Solid=1
o.Orientation=0.264887,0.264887,-0.5,0.5
Sparks.SetStoneSparkling(o.Name)

o=Bladex.CreateEntity("18s2","Monjescudo",-18000,-5750,18000,"Physic")
o.Scale=7
o.Solid=1
o.Orientation=1,1,-0.5,0.5
Sparks.SetStoneSparkling(o.Name)

o=Bladex.CreateEntity("19s3","Monjespada",18000,-5750,18000,"Physic")
o.Scale=7
o.Solid=1
o.Orientation=-1,-1,-0.5,0.5
Sparks.SetStoneSparkling(o.Name)

o=Bladex.CreateEntity("20s4","Monjescudo",18000,-5750,-18000,"Physic")
o.Scale=7
o.Solid=1
o.Orientation=-0.264887,-0.264887,-0.5,0.5
Sparks.SetStoneSparkling(o.Name)



# FACKEL EINGANG TUNNEL N

o=Bladex.CreateEntity("21tunnelantpa1","Antorchaenpared",0,2500,42800,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=-0.707107,-0.707107,-0.655618,0.655618
o.FiresIntensity=[ 3 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

# FACKEL EINGANG TUNNEL S

o=Bladex.CreateEntity("22tunnelantpa2","Antorchaenpared",0,2500,-42800,Reference.ObjType("Antorchaenpared"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 3 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

# LAMPENSTNDER IM TUNNEL
                  
o=Bladex.CreateEntity("23fr4","Lamparaegipto",-12500,5750,21000,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("24fr4","Lamparaegipto",12500,5750,21000,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("25fr4","Lamparaegipto",-12500,5750,-21000,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("26fr4","Lamparaegipto",12500,5750,-21000,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("27fr5","Lamparaegipto",7500,5750,0,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("28fr6","Lamparaegipto",-7500,5750,0,Reference.ObjType("Lamparaegipto"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]


# FACKELN BEI ZENTRUMSDURCHBRUCH

o=Bladex.CreateEntity("29Entity61","Antorchaenpared",0.0,3500.0,13750.0, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.51852196455,0.518521904945,0.480765014887,-0.480765014887)
o.FiresIntensity=[ 1.0 ]
o.Lights = [(50.0, 0.03125, (198, 104, 0))]


o=Bladex.CreateEntity("30Entity64","Antorchaenpared",0.0,3500.0,-13850.0, Reference.ObjType("Antorchaenpared"))
o.Scale=1.0
o.Orientation=(0.480765014887,0.480765014887,-0.51852196455,0.518521904945)
o.FiresIntensity=[ 1.0 ]
o.Lights = [(50.0, 0.03125, (198, 104, 0))]


# DREIECKIGES PENDON 

o=Bladex.CreateEntity("34Pendon1_149","Pendon1",0,5300,-13950, Reference.ObjType("Pendon1"))
o.Static=1
o.Scale=0.6
o.Orientation=(0.0,0.0,0.0,1.0)


##################################################################################
################################### GEH ##########################################

# 1. G PENDON 

o=Bladex.CreateEntity("35ref","Pendon3",0,5300,13960,Reference.ObjType("Pendon3"))
o.Scale=1.1
o.Static=1
o.Alpha=0.9
o.Orientation=0,-0.707107,0,0

o=Bladex.CreateEntity("36ref","Pendon2",0,7500,17950,Reference.ObjType("Pendon2"))
o.Scale=1.7
o.Static=1
o.Alpha=0.95
o.SelfIlum=0.1
o.Orientation=0,-0.707107,0,0


# HNGENDER TREPPENHAUSLEUCHTER (Biegung)

o=Bladex.CreateEntity("37fht","Lampcolg",0,7400,46000,Reference.ObjType("Lampcolg"))
o.Solid=1
o.Static=1
o.Orientation=1,1,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]


# GITTER

#o=Bladex.CreateEntity("38geh_g", "Rastrillo10",-19000,3000,48080, "Physic") 
#o.Static=1
#o.Scale=1 
#o.Orientation=0,0,1,1
#ItemTypes.ItemDefaultFuncs (o)
#darfuncs.SetHint(o,"can be opened in singleplayer mode")



# LLAMPE ANFANG TREPPENAUFGANG

o=Bladex.CreateEntity("39fht","CandilAurelio",-20800,1000,50000,Reference.ObjType("CandilAurelio"))
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (500,0.03125,(198,104,0)) ]

# HNGELEUCHTER BER TREPPEN

o=Bladex.CreateEntity("40fr8","Lampcolg",-7000,-14600,50000,Reference.ObjType("Lampcolg"))
o.Solid=1
o.Static=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

# FEUER IM GANG ZU GEHEIMBLICK

o=Bladex.CreateEntity("41fr8","Antorcha2",-3875,-13000,42000,Reference.ObjType("Antorcha2"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

# LLAMPEN IN GEHEIMBLICK

o=Bladex.CreateEntity("42fblick1","CandilAurelio",-6000,-14000,30600,Reference.ObjType("CandilAurelio"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 0.5 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

o=Bladex.CreateEntity("43fblick2","CandilAurelio",6000,-14000,30600,Reference.ObjType("CandilAurelio"))
o.Scale=1
o.Solid=1
o.Orientation=0.707107,0.707107,-0.655618,0.655618
o.FiresIntensity=[ 0.5 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]

#hahaha!
def nocheat_def():
	text_nocheat = ("You  want  to  be  a  warrior  ?  \n \n"
			  "( 11th  Commandment :  Thou  shalt  not  cheat ) \n \n")
	GameText.WriteTextAux(text_nocheat,10,255,0,0,[])
def switchoffcheats():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "P", 1)	
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F8", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)
def switchoffreference():
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "K", 1)
	Bladex.AddInputAction("nocheat_def", 0)
	Bladex.AddBoundFunc("nocheat_def",nocheat_def)
	Bladex.AssocKey("nocheat_def", "Keyboard", "F10", 1)
switchoffcheats()
if Reference.PYTHON_DEBUG >= 1:
	switchoffreference()


# FEUER GEH_RUNDGANG
o=Bladex.CreateEntity("44nn5","Brasero1",22500,-15300,23500,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0

o=Bladex.CreateEntity("45nn6","Brasero1",-22500,-15300,23500,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0

o=Bladex.CreateEntity("46nn7","Brasero1",22500,-15300,-22500,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0

o=Bladex.CreateEntity("47nn8","Brasero1",-22500,-15300,-22500,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (25,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0

######################################################################################
################################## KNIGSHALLE ######################################


# FEUER AM EINGANG BEI GOLEMS

o=Bladex.CreateEntity("48Antorchaenpared_160","Antorchaenpared",35200.0,3000.0,0.0, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.2
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 3 ]
o.Lights=[ (500,0.03125,(198,104,0)) ]

# GOLEMS

o=Bladex.CreateEntity("49golem1","EstatuaGolem",36000,4400,5000,Reference.ObjType("EstatuaGolem"))
o.Scale=2
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

o=Bladex.CreateEntity("50golem2","EstatuaGolem",36000,4400,-5000,Reference.ObjType("EstatuaGolem"))
o.Scale=2
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)


# KNIG

o=Bladex.CreateEntity("51king","Reyaurelio",68000,-5000,0,"Physic")
o.Scale=10
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)


# SULEN FR SARG


o=Bladex.CreateEntity("52s1","Columnaestrecha",60300,6500,-1400,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)


o=Bladex.CreateEntity("52s2","Columnaestrecha",60300,6500,1350,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)


o=Bladex.CreateEntity("54s3","Columnaestrecha",61700,6500,-1400,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)


o=Bladex.CreateEntity("55s3","Columnaestrecha",61700,6500,1350,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)


# SARG

o=Bladex.CreateEntity("56grave1","Altar",61000,4570,0,"Physic")
o.Scale=1
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)


# INSCHRIFT AN SARG

o=Bladex.CreateEntity("57signumkg1","PlacaTallada",60200.0,4500.0,0.0, Reference.ObjType("PlacaTallada"))
o.Scale=1.4
o.Orientation=(0.0,0.707106769085,0.0,-0.70710682869)
Sparks.SetStoneSparkling(o.Name)


# INSCHRIFT AN EINGANG

o=Bladex.CreateEntity("58signumkg2","PlacaTallada",12950.0,2995.0,0.0, Reference.ObjType("PlacaTallada"))
o.Static=1
o.Scale=1.1
o.Orientation=(0.0,0.707106769085,0.0,-0.70710682869)
Sparks.SetStoneSparkling(o.Name)


# DRACHE

o=Bladex.CreateEntity("59guardian1","Dragon_estatua",60500,2200,0,Reference.ObjType("Dragon_estatua"))
o.Scale=0.5
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)


# FEUER HINTER KNIG

o=Bladex.CreateEntity("60feuerkg1","Brasero1",73000,7200,0,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]



# HUND LINKS

o=Bladex.CreateEntity("61hound1","LeonBronce",66000,500,7000,"Physic")
o.Scale=3
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# FEUER HUND LINKS

o=Bladex.CreateEntity("62feuerkg2","BolitadeFuego",62500,-2200,7000,Reference.ObjType("BolitadeFuego"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (1,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0      

# HUND RECHTS

o=Bladex.CreateEntity("63hound2","LeonBronce",66000,500,-7000,"Physic")
o.Scale=3
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)
      
# FEUER HUND RECHTS

o=Bladex.CreateEntity("64fh2","BolitadeFuego",62500,-2200,-7000,Reference.ObjType("BolitadeFuego"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (1,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0 



# KRONE

#o=Bladex.CreateEntity("65kronensaeule","Columna",54000,7200,0,"Physic")
#o.Scale=1
#o.Orientation=0.707107,0.707107,0,0
#ItemTypes.ItemDefaultFuncs (o)

#o=Bladex.CreateEntity("66kingscrown","Corona",54000,6650,0,"Physic")
#o.Scale=1
#o.Orientation=0.759582,0.649147,-0.005891,0.040122
#ItemTypes.ItemDefaultFuncs (o)




######################################################################################
####################################### KNIGINNENHALLE ############################

# FEUER AM EINGANG

o=Bladex.CreateEntity("67Entity115","Antorchaenpared",-35200.0,3000.0,0.0, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.2
o.Orientation=(0.0,0.0,0.70710682869,-0.707106769085)
o.FiresIntensity=[ 3.0 ]
o.Lights = [(500.0, 0.03125, (198, 104, 0))]

# GOLEMS
o=Bladex.CreateEntity("68golem3","EstatuaGolem",-36000,4400,5000,Reference.ObjType("EstatuaGolem"))
o.Scale=2
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

o=Bladex.CreateEntity("69golem4","EstatuaGolem",-36000,4400,-5000,Reference.ObjType("EstatuaGolem"))
o.Scale=2
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# KNIGIN
o=Bladex.CreateEntity("70king","ReinaAurelio",-68000,-3950,0,"Physic")
o.Scale=10
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# SULEN FR SARG
# vorne rechts
o=Bladex.CreateEntity("71s5","Columnaestrecha",-60300,6500,-1400,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)

# vorne links
o=Bladex.CreateEntity("72s6","Columnaestrecha",-60300,6500,1350,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)

# hinten rechts
o=Bladex.CreateEntity("73s7","Columnaestrecha",-61700,6500,-1400,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)

# hinten links
o=Bladex.CreateEntity("74s8","Columnaestrecha",-61700,6500,1350,Reference.ObjType("Columnaestrecha"))
o.Scale=1.3
o.Solid=1
o.Orientation=0.707107,0.707107,0,0
Sparks.SetStoneSparkling(o.Name)

# SARG
o=Bladex.CreateEntity("75grave2","Altar",-61000,4570,0,"Physic")
o.Scale=1
o.Solid=1
o.Orientation=-0.655618,-0.655618,-0.655618,0.655618
#o.Orientation=-0.707107,-0.707107,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# INSCHRIFT AM SARG
o=Bladex.CreateEntity("76signumkgin1","PlacaTallada",-60200.0,4500.0,0.0, Reference.ObjType("PlacaTallada"))
o.Scale=1.4
o.Orientation=(0.0,0.707106769085,0.0,0.70710682869)
Sparks.SetStoneSparkling(o.Name)

# INSCHRIFT AN EINGANG
o=Bladex.CreateEntity("77signumkgin2","PlacaTallada",-12950,2995,0,"Physic")
o.Scale=0.9
o.Solid=1
o.Orientation=0.655618,0.655618,0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# GARGOYL
o=Bladex.CreateEntity("78guardkgin","Gargola02",-60400,1300,0,Reference.ObjType("Gargola02"))
o.Scale=4
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# FEUER HINTER KNIGIN
o=Bladex.CreateEntity("79fhkgin","Brasero1",-73000,7200,0,Reference.ObjType("Brasero1"))
o.Scale=1
o.Solid=1
o.Orientation=0,0,-0.655618,0.655618
o.FiresIntensity=[ 1 ]
o.Lights=[ (50,0.03125,(198,104,0)) ]

# DIENERIN RECHTS
o=Bladex.CreateEntity("80servant1","Monjecaliz",-66000,-3000,7000,"Physic")
o.Scale=10
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# DIENERIN LINKS
o=Bladex.CreateEntity("81servant2","Monjecaliz",-66000,-3000,-7000,"Physic")
o.Scale=10
o.Solid=1
o.Orientation=0.655618,0.655618,-0.655618,0.655618
Sparks.SetStoneSparkling(o.Name)

# FEUER DIENERIN RECHTS
o=Bladex.CreateEntity("82fd1","BolitadeFuego",-64500,-6500,7000,Reference.ObjType("BolitadeFuego"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (1,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0

# FEUER DIENERIN LINKS
o=Bladex.CreateEntity("83fd2","BolitadeFuego",-64500,-6500,-7000,Reference.ObjType("BolitadeFuego"))
o.Scale=1
o.Solid=1
o.Orientation=0.70107,0.707107,0,0
o.FiresIntensity=[ 1 ]
o.Lights=[ (1,0.03125,(198,104,0)) ]
lo=AuxFuncs.GetSpot(o) 
lo.CastShadows=0


# SULE UND TRANK

#o=Bladex.CreateEntity("84potionsaeule","Columna",-54000,7200,0,"Physic")
#o.Orientation=0.707107,0.707107,0,0
#ItemTypes.ItemDefaultFuncs (o)

#o=Bladex.CreateEntity("85queenlife","PocimaTodo",-54000,6525,0,"Physic")
#o.Orientation=0.5,0.5,0.5,-0.5
#pocimac.CreatePotion(o.Name)



####################################################################################
################################## MESKA ###########################################


# FEUER in GANG RUNTER

o=Bladex.CreateEntity("Antorchaenpared_67","Antorchaenpared",-1713.67263528,10337.1459031,3877.78958288, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 1.0 ]
o.Lights = [(30.0, 0.03125, (198, 104, 0))]

o=Bladex.CreateEntity("Antorchaenpared_68","Antorchaenpared",1823.46845788,25779.6457392,42376.549499, Reference.ObjType("Antorchaenpared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.0,1.68092753938e-007,0.707106769085,-0.707106769085)
o.FiresIntensity=[ 0.0 ]
o.Lights = [(30.0, 0.03125, (198, 104, 0))]



o=Bladex.CreateEntity("Antorchaenpared_44","Antorchaenpared",-2916.63155499,30918.2516118,55304.3243315, Reference.ObjType("Antorchaenpared"))
o.Scale=1.2
o.Orientation=(0.500000119209,0.499999970198,-0.499999910593,0.499999970198)
o.FiresIntensity=[ 1 ]
o.Lights = [(10.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_45","Antorchaenpared",3094.14975715,30998.383138,55187.8292465, Reference.ObjType("Antorchaenpared"))
o.Scale=1.2
o.Orientation=(0.499999880791,0.5,-0.5,0.500000119209)
o.FiresIntensity=[ 1 ]
o.Lights = [(10.0, 0.03125, (198,104,0))]


# FACKELN AM ENDE

o=Bladex.CreateEntity("Antorchaenpared_21","Antorchaenpared",3969.50385989,24536.6437261,157304.370729, Reference.ObjType("Antorchaenpared"))
o.Scale=1.2
o.Orientation=(0.500000059605,0.499999910593,-0.499999970198,0.500000059605)
o.FiresIntensity=[ 1.0 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_20","Antorchaenpared",-3653.4937488,24555.6444739,157237.241335, Reference.ObjType("Antorchaenpared"))
o.Scale=1.2
o.Orientation=(0.499999970198,0.500000059605,-0.499999850988,0.500000119209)
o.FiresIntensity=[ 1.0 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_40","Antorchaenpared",2404.47127339,8115.51836938,218046.324133, Reference.ObjType("Antorchaenpared"))
o.Scale=1.0
o.Orientation=(0.0,3.7497966332e-007,0.707106888294,-0.70710670948)
o.FiresIntensity=[ 1 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_41","Antorchaenpared",-4250.66000757,15949.6737873,188268.515795, Reference.ObjType("Antorchaenpared"))
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 1 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_42","Antorchaenpared",1816.92480201,26385.2284251,143769.861101, Reference.ObjType("Antorchaenpared"))
o.Scale=1.0
o.Orientation=(0.0,2.39232093691e-007,0.707106769085,-0.70710682869)
o.FiresIntensity=[ 1 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]

o=Bladex.CreateEntity("Antorchaenpared_43","Antorchaenpared",-1706.04967435,29368.4984776,119431.917511, Reference.ObjType("Antorchaenpared"))
o.Scale=1.2
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 1 ]
o.Lights = [(30.0, 0.03125, (198,104,0))]


o=Bladex.CreateEntity("Rastrillo_66","Rastrillo",27.0949133362,6359.84942686,228855.588768, Reference.ObjType("Rastrillo"))
o.Scale=1.0
o.Orientation=(0.707106769085,-0.707106769085,0.0,0.0)
